# Uses of Class
javax.management.relation.RoleList

Packages that use RoleList
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

- ## Uses of RoleList in javax.management.relation

  Methods in javax.management.relation that return RoleList
  Modifier and Type
  Method
  Description
  `RoleList`
  RoleResult.`getRoles()`
  Retrieves list of roles successfully accessed.
  `RoleList`
  Relation.`retrieveAllRoles()`
  Returns all roles in the relation without checking read mode.
  `RoleList`
  RelationSupport.`retrieveAllRoles()`
  Returns all roles in the relation without checking read mode.
  Methods in javax.management.relation with parameters of type RoleList
  Modifier and Type
  Method
  Description
  `boolean`
  RoleList.`addAll(int index, RoleList roleList)`
  Inserts all of the elements in the RoleList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleList specified.
  `boolean`
  RoleList.`addAll(RoleList roleList)`
  Appends all the elements in the RoleList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleList specified.
  `void`
  RelationService.`createRelation(String relationId, String relationTypeName, RoleList roleList)`
  Creates a simple relation (represented by a RelationSupport object) of given relation type, and adds it in the Relation Service.
  `void`
  RelationServiceMBean.`createRelation(String relationId, String relationTypeName, RoleList roleList)`
  Creates a simple relation (represented by a RelationSupport object) of given relation type, and adds it in the Relation Service.
  `RoleResult`
  Relation.`setRoles(RoleList roleList)`
  Sets the given roles.
  `RoleResult`
  RelationService.`setRoles(String relationId, RoleList roleList)`
  Sets the given roles in given relation.
  `RoleResult`
  RelationServiceMBean.`setRoles(String relationId, RoleList roleList)`
  Sets the given roles in given relation.
  `RoleResult`
  RelationSupport.`setRoles(RoleList list)`
  Sets the given roles.
  `void`
  RoleResult.`setRoles(RoleList list)`
  Sets list of roles successfully accessed.
  Constructors in javax.management.relation with parameters of type RoleList
  Modifier
  Constructor
  Description
  ``
  `RelationSupport(String relationId, ObjectName relationServiceName, String relationTypeName, RoleList list)`
  Creates a `RelationSupport` object.
  ``
  `RelationSupport(String relationId, ObjectName relationServiceName, MBeanServer relationServiceMBeanServer, String relationTypeName, RoleList list)`
  Creates a `RelationSupport` object.
  ``
  `RoleResult(RoleList list, RoleUnresolvedList unresolvedList)`
  Constructor.